LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-13-2003, 02:03 PM   #1
shanenin
Member
 
Registered: Aug 2003
Location: Rochester, MN, U.S.A
Distribution: Gentoo
Posts: 987

Rep: Reputation: 30
Gaim Problems


I just reinstalled slackware(from the same disks) it seems to be behaving completely differenty. Gaim gives me the error that ssl support is still needed. On my old slack install I compiled gaim with ssl support doing these two things

1. I added this line, /usr/lib/mozilla-1.4 to my /etc/ld.so.conf
2. i ran the command as root /sbin/ldconfig

then it compiled with ssl support and my msn plugin worked.

On my redhat sytem I had to use a different method. During the ./configure stage I showed where all of my libs and includes were

$./configure --with-nss-includes=/usr/include/mozilla-1.4/nss --with-nspr-includes=/usr/include/mozilla-1.4/nspr --with-nss-libs=/usr/lib/mozilla-1.4 --with-nspr-libs=/usr/lib/mozilla-1.4

now when I try either of these methods it is failing, giveing me an error that I need ssl support

Here is the interesting part: When I read the output of my ./configure it tells me that it found all of the libraries and includes
SSL Library/Libraries......... : Mozilla NSS

which in the past meant it found everything it needed for ssl support

if I did not find the libraries and includes it gave this out put
SSL Library/Libraries......... : no

I sometimes feel computers are more of an art then a science
 
Old 11-15-2003, 01:53 PM   #2
shanenin
Member
 
Registered: Aug 2003
Location: Rochester, MN, U.S.A
Distribution: Gentoo
Posts: 987

Original Poster
Rep: Reputation: 30
here is part of the output from my ./configure all of my needed libraries are found
-------------------------------------------------------------------------------
checking for Mozilla nspr libraries... yes
checking for Mozilla nss3 includes in /usr/include/mozilla-1.4/nss... ""
checking nss.h usability... yes
checking nss.h presence... yes
checking for nss.h... yes
checking ssl.h usability... yes
checking ssl.h presence... yes
checking for ssl.h... yes
checking smime.h usability... yes
checking smime.h presence... yes
checking for smime.h... yes
checking for Mozilla nss libraries... yes
checking for tclConfig.sh... yes (/usr/lib/tclConfig.sh)
-------------------------------------------------------------------------------------
this below is also from my ./configure

UI Library.................... : GTK 2.x
SSL Library/Libraries......... : Mozilla NSS

Build with Plugin support..... : yes
Build with Perl support....... : yes
Build with Tcl support........ : no
Build with Tk support......... : no
Build with Audio support...... : yes
Build with NAS support........ : no
Build with GtkSpell support... : no

Use XScreenSaver Extension.... : yes
Use X Session Management...... : yes
Use startup notification.......: yes

Print debugging messages...... : no

Gaim will be installed in /usr/local/bin.
Warning: You have an old copy of gaim at /usr/local/bin/gaim.

it is stil giving me the error of no ssl support
 
Old 11-17-2003, 12:12 PM   #3
CronoCloud
LQ Newbie
 
Registered: Nov 2003
Distribution: Pllaystation 2 Linux
Posts: 1

Rep: Reputation: 0
I am having the EXACT same problem. I have no /usr/lib/mozilla-1.4 at all. And I just compiled it! If I leave it alone it detects mozilla nss but during the compile it cant find pk1func.h and errors out. If I tell it where everything is it says it will compile with no SSL I'm stumped.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
GAIM Problems Jiddy33 Linux - Software 5 06-18-2005 11:10 AM
gaim problems tgh Linux - Newbie 3 04-13-2005 11:24 AM
Gaim Problems markb658 Linux - Software 1 03-16-2005 08:26 PM
gaim problems matt_w_lambert Linux - Software 0 07-05-2004 07:18 PM
Gaim/MSN protocols and problems upgrading Gaim and Kopete. sergeantroach Linux - Software 5 11-01-2003 09:27 PM


All times are GMT -5. The time now is 08:37 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration